GROFF(1)

BEZEICHNUNG
groff - formatiert Texte (z.B. Manualpages)

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 groff

eingeben.

SYNTAX
groff [-tpeszaivhblCENRVZ] [-w Name] [-W Name] [-H Datei] [-m Makro] [-F Verzeichnis] [-T Format] [-f Familie] [-M Verzeichnis] [-d cs] [-r cn] [-n Nummer] [-o Liste] [-P Argument] [Datei...]

BESCHREIBUNG
groff ist der Kern eines Textformatiersystems. Normalerweise startet groff das gtroff Kommando und leitet die Ausgabe durch einen Postprozessor für ein bestimmtes Ausgabegerät. Folgende Ausgabeformate stehen zur Verfügung:

ps  Postscript

dvi (DeVice Independent) das TeX Ausgabeformat

X75 für X-Windows Ausgabe mit 75dpi

X100
    für X-Windows Ausgabe mit 100dpi

ascii
    für einfache Druckerausgabe

latin1
    für Druckerausgabe mit ISO Latin-1 Zeichensatz

Das Standardformat ist ascii.

Im groff System stehen außerdem die Präprozessoren gpic, geqn, gtbl, grefer und gsoelim zur Verfügung.

OPTIONEN

-h  gibt einen Hilfstext aus

-e  leitet die Eingabe durch den geqn Präprozessor

-t  leitet die Eingabe durch den gtbl Präprozessor

-p  leitet die Eingabe durch den gpic Präprozessor

-s  leitet die Eingabe durch den gsoelim Präprozessor

-R  leitet die Eingabe durch den grefer Präprozessor; die Übergabe von Kommandozeilenargumenten an grefer wird nicht unterstützt

-v  die von groff aufgerufenen Programme geben ihre Versionsnummer aus

-V  gibt die von groff zusammengestellte Kommandozeile (Pipeline) auf der Standardausgabe aus, anstatt sie auszuführen

-z  unterdrückt die Ausgabe von gtroff; nur Fehlermeldungen werden ausgegeben

-Z  unterdrückt den Postprozessor

-P Argument
    gibt das Argument an den Postprozessor weiter; jedes Argument sollte einzeln übergeben werden; den Argumenten wird kein - vorangestellt

-L Argument
    gibt das Argument an den Spooler weiter

-T Format
    benutzt AusgabeFormat; Voreinstellung ist ascii

-N  übergibt die -N Option an geqn

-a  produziert reinen ascii Code, ohne Steuerzeichen

-b  gibt zusätzliche Information bei Fehlermeldungen

-i  liest aus der Standardeingabe, nachdem alle Eingabedateien bearbeitet sind

-C  schaltet in den Kompatibilitätsmodus (zu troff)

-E  unterdrückt alle Fehlermeldungen

-w Name
    erlaubt Warnung Name

-W Name
    unterdrückt Warnung Name

-m Makro
    die Datei tmac.Makro wird gelesen und die darin definierten Makros zum Formatieren des Dokuments benutzt

-o Liste
    gibt nur die Seiten aus Liste aus; die Liste ist eine durch Kommata getrennte Liste von Seitenbereichen

-d cs
    definiert das Register c mit s ; dabei ist c ein Buchstabe und s eine Zeichenkette

-r cn
    setzt Register c auf n. Dabei ist c ein Buchstabe und n ein numerischer Ausdruck.

-F Verzeichnis
    sucht im Verzeichnis nach den Fonts

-M Verzeichnis
    sucht im Verzeichnis nach den Makros

-H Datei
    benutzt Datei nach der Trennmusterdatei

-f Familie
    benutzt Familie als Fontfamilie

-n Nummer
    setzt die Nummer der ersten Ausgabeseite auf Nummer

  Umgebung:
Folgende Umgebungsvariablen werden unterstützt:

GROFF_TMAC_PATH
    eine durch Doppelpunkte getrennte Liste von Verzeichnissen, in denen nach Makrodateien gesucht wird

GROFF_TYPESETTER
    das Standardausgabeformat

GROFF_FONT_PATH
    eine durch Doppelpunkte getrennte Liste von Verzeichnissen, in denen nach den Gerätetreibern und den Zeichensätzen für das Ausgabeformat gesucht wird

GROFF_HYPHEN
    eine Datei mit Mustern für die automatische Trennung durch groff

GROFF_TMPDIR
    ein Verzeichnis, in dem die temporären Dateien von groff angelegt werden; wenn kein Verzeichnis angegeben ist, wird das Verzeichnis /tmp benutzt

  Dateien:
Die folgenden Dateien werden vom groff System benutzt:

/usr/lib/groff/hyphen
    die Standardtrennmusterdatei

/usr/lib/groff/tmac/tmac.Name
    die Makrodatei für -mName

/usr/lib/groff/font/devNameDESC
    der Gerätetreiber für das Gerät Name

/usr/lib/groff/font/devNameF
    die Fontdatei für Font F von Gerät Name

/usr/lib/groff/font/devName/eqnchar
    die Definitionen von (g)eqn für das Gerät Name

SIEHE AUCH
grog(1), gtroff(1), gtbl(1), gpic(1), geqn(1), gsoelim(1), grefer(1), grops(1), grodvi(1), grotty(1), groff_font(5), groff_out(5), groff_msr(7), groff_me(7) und das LunetIX Linuxhandbuch

AUTOR
James Clark